Subject: Re: bug#33772: StumpWM broken commands?

From: Brett Gilio <[email-masked]>
Date: Mon, 23 Dec 2019 19:58:53 -0600

Pierre Langlois <[email-masked]> writes:

> Christopher Lemmer Webber writes:
>
>> Christopher Lemmer Webber writes:
>>
>>> Pierre Langlois writes:
>>>
>>>> Alex Kost writes:
>>>>
>>>>> I have built stumpwm from the latest commit (which is one commit after
>>>>> 18.11 release) and tried it on GuixSD and on ArchLinux.  Works for me
>>>>> on both systems, so it's probably not an upstream bug.
>>>>
>>>> Hi Alex,
>>>>
>>>> I was investigating just now and thought I'd try that one commit that
>>>> was pushed after the release. The description doesn't sound like it
>>>> would fix the problem but it was easy to try that.  But it looks like it
>>>> does fix the problem!
>>>>
>>>> Can you confirm the attached patch works for you?
>>>>
>>> I haven't tried it yet but it makes a lot of sense that this would fix
>>> it.  Both gnew and eval interactively pull up a request for a line of
>>> input.
>>
>> I applied your patch to my machine and it fixed it... thank you!  I
>> pushed the patch upstream to guix master.
>
> Awesome, thanks!
> Pierre
>
>
>
>
>

Hey everybody,

Evan Straw and I removed this patch in
9beec2173f9243456b6aca470acd926d0dcf9b45 with an upgrade to StumpWM
19.11 which fixes this issue.
As such I am closing this bug.

Let me know if 19.11 is working for you all, though!

-- 
Brett M. Gilio
GNU Guix, Contributor | GNU Project, Webmaster
[DFC0 C7F7 9EE6 0CA7 AE55 5E19 6722 43C4 A03F 0EEE]
<[email-masked]> <[email-masked]>